Page MenuHomeFreeBSD

www/nginx: Pet Makefile
ClosedPublic

Authored by joneum on Jul 15 2017, 1:11 PM.

Details

Summary
  • Pet portlint
  • Add CONFLICTD
  • Also set portscout limit to avoid notices about www/nginx
  • Bump PORTREVISION

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

joneum created this revision.Jul 15 2017, 1:11 PM
miwi accepted this revision.Jul 16 2017, 2:21 PM
This revision is now accepted and ready to land.Jul 16 2017, 2:21 PM
This revision was automatically updated to reflect the committed changes.
tz added inline comments.Jul 17 2017, 8:05 AM
head/www/nginx/Makefile
19

Its already committed, but i just saw this Review.
I want to warn about the PORTSCOUT rule. Yes, its helpful to avoid false detections of 1.13.x releases. But now it will also ignore the next big release 1.14.x.
Have a look at my port games/wesnoth - it has exactly the same version-scheme.

mat added inline comments.Jul 17 2017, 1:30 PM
head/www/nginx/Makefile
19

Yeah, limitw:1,even is what the doc says you should use :-)

joneum added inline comments.Jul 17 2017, 1:46 PM
head/www/nginx/Makefile
19

There is www/nginx-devel
If version 14.x comes out, you can raise nginx-devel to version 14, and nginx to version 13. www/nginx is currently still managed by Sergey.
If version 14.x comes out, it must be advised first how to proceed. As long as PORTSCOUT makes sense.

tz added inline comments.Jul 17 2017, 1:53 PM
head/www/nginx/Makefile
19

If version 1.14.x comes out, nginx-devel will be 1.15.x. nginx will become 1.14.x.
Please get familiar with the release cycle of your new port! :)

joneum added inline comments.Jul 17 2017, 2:02 PM
head/www/nginx/Makefile
19

My mistake. Yes, I meant version 15.x - sorry :-)